Bug 203275 - Missing tcl subpackage and non-conditionalized subpackages
Missing tcl subpackage and non-conditionalized subpackages
Product: Fedora
Classification: Fedora
Component: rrdtool (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jarod Wilson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-08-20 06:49 EDT by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-14 14:13:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Diff of rrdtool spec files (4.50 KB, patch)
2006-08-20 06:53 EDT, Robert Scheck
no flags Details | Diff

  None (edit)
Description Robert Scheck 2006-08-20 06:49:43 EDT
Description of problem:
I saw you sent rrdtool spec file of Fedora Extras upstream - fine! But in cases 
like this I would like to see the subpackages/rrd bindings conditional, because 
not everybody likes PHP or Python binding always when building rrdtool RPM from 
upstream spec file.

As I'm rebuilding the Extras rrdtool package always for different reasons, I 
just conditionalized the packages and added the missing tcl subpackage/binding. 
Maybe you can apply the patch to the next build. Everything should behave like 
in the past, but there's the new rrdtool-tcl subpackage now. If you don't like 
it for Fedora Extras, just change the line
  %{!?with_tcl:%define with_tcl 1}
  %{!?with_tcl:%define with_tcl 0}
for getting the old behavior.

Version-Release number of selected component (if applicable):

Actual results:
Missing rrdtool-tcl subpackage/binding, non-conditional bindings.

Expected results:
Apply of my attached patch or better ;-)

Additional info:
I didn't conditionalize the perl binding/subpackage, because perl is a build 
requirement, so it doesn't make really sense in my eyes.
Comment 1 Robert Scheck 2006-08-20 06:53:41 EDT
Created attachment 134525 [details]
Diff of rrdtool spec files
Comment 2 Robert Scheck 2006-09-23 13:23:48 EDT
Jarod, ping?
Comment 3 Robert Scheck 2006-10-18 16:41:22 EDT
Hey...somebody alive?
Comment 4 Jarod Wilson 2006-10-25 11:41:25 EDT
Sorry, been insanely busy with other stuff the past few weeks, then was on
vacation. This is on my todo list...
Comment 5 Jarod Wilson 2006-10-25 17:13:36 EDT
Just pushed new builds with the tcl sub-package, but holding off on the
conditionalization for the moment.
Comment 6 Robert Scheck 2006-10-25 17:16:13 EDT
Why - any special reason?
Comment 7 Jarod Wilson 2006-10-25 17:58:10 EDT
I may want to do the conditional bit a little differently, but didn't have the
time to really look into it today.
Comment 8 Jarod Wilson 2006-11-14 14:13:35 EST
Okay, just checked a spec into the devel branch that conditionalizes the
building of python, php and tcl bits. Same idea as the attached patch, but
implemented slightly different. Use '--without <component>' to disable bits.
Once built for devel, I'll also check the changes in for FC5 and 6.

Note You need to log in before you can comment on or make changes to this bug.